@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.2
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}


/*20250624追加*/

.article h2 {
	border-bottom: solid 3px #000;
	background:none;
}
.article h3 {
	padding: 0.25em 0.5em;/*上下 左右の余白*/
	color: #494949;/*文字色*/
	background: transparent;/*背景透明に*/
	border:none;
	border-left: solid 5px #000;/*左線*/
}
.article h4 {
	position: relative;
	display: inline-block;
	padding: 0 55px;
	border:none;
}

.article h4:before, .article h4:after {
	content: '';
	position: absolute;
	top: 50%;
	display: inline-block;
	width: 45px;
	height: 1px;
	background-color: black;
}
.article h4:before {
	left:0;
}
.article h4:after {
	right: 0;
}
/*固定ページのみ更新日非表示*/
.page .date-tags{display:none;}

.new-entry-cards .new-entry-card-title {
	text-align:left;
}



/* Cocoon が勝手に出す pagination を消す */
.entry-content > .pagination {
  display: none !important;
}

/* ショートコード専用 pagination */
.sc-pagination {
  text-align: center !important;
  margin: 30px auto;
}

.sc-pagination ul {
  display:flex;
  width: 100%;
  justify-content:center;
  list-style: none;
  padding: 0;
  margin: 0;
}
.sc-pagination ul.page-numbers {
  border: none !important;
  padding: 0;
  margin: 0;
}

/* ボタンの中央揃え（上下左右） */
.sc-pagination ul.page-numbers li a,
.sc-pagination ul.page-numbers li span {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 46px;        /* ← ボタンの高さを固定 */
  padding: 0 14px;     /* ← 左右だけ余白 */
  border: 1px solid #ccc;
  border-radius: 4px;
  background: #fff;
  color: #333;
  text-decoration: none;
  line-height: 1;
}

.sc-pagination ul.page-numbers li span.current {
  background: #ccc;      /* グレー背景 */
  color: #333;           /* 黒文字 */
  border-color: #ccc;  
}
.sc-pagination ul li a:hover {
  background: #f2f2f2;
}
.article ul.page-numbers li {
	margin:0 !important;
}
/* デフォルト：PCなど広い画面では改行させない */
.sp-br {
  display: none;
}

/* スマホ幅（730px以下）のときだけ改行を有効にする */
@media (max-width: 730px) {
  .sp-br {
    display: inline;
  }
}

